Get a Run's Inputs
curl --request GET \
--url https://api.captaindata.co/v3/jobs/{job_uid}/inputs \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/jobs/{job_uid}/inputs"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/jobs/{job_uid}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inputs": [
{
"uid": "xxxxxxx-xxxxx-4dd6-a7f9-7d58928f5c57",
"payload": {
"linkedin_profile_url": "https://www.linkedin.com/in/yann-lecun/"
},
"success": true,
"error": null,
"nbr_of_items": 1,
"status": "valid",
"validity": {
"linkedin_profile_url": {
"valid": true,
"error": ""
}
},
"row_count": 1
}
],
"next_page_exist": false,
"number_total_inputs": 1
}{
"detail": [
"<unknown>"
]
}Inputs
Get a Run's Inputs
GET
/
v3
/
jobs
/
{job_uid}
/
inputs
Get a Run's Inputs
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Query Parameters
Response
Successful Response
⌘I